> ## Documentation Index
> Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent

> Get a specific Agent by id.



## OpenAPI

````yaml /openapi.json get /api/svc/v1/agents/{id}
openapi: 3.1.0
info:
  title: TrueFoundry API
  description: API for TrueFoundry
  version: 0.1.0
  contact: {}
servers:
  - url: https://{controlPlaneURL}
    variables:
      controlPlaneURL:
        default: app.truefoundry.com
        description: Control Plane URL
security: []
tags:
  - name: Agent
  - name: Agent Skills
  - name: Applications
  - name: Metrics
  - name: Apply
  - name: Artifacts
  - name: Audit Logs
  - name: Clusters
  - name: Jobs
  - name: Logs
  - name: MCP Servers V2
  - name: MLRepos
  - name: Model Deployments
  - name: Models
  - name: Personal Access Tokens
  - name: Prompts
  - name: Provider Integrations
  - name: SCIM v2
  - name: Secret Groups
  - name: Secrets
  - name: Teams
  - name: Traces
  - name: Users
  - name: Virtual Accounts
  - name: Role Bindings
  - name: Workspaces
paths:
  /api/svc/v1/agents/{id}:
    get:
      tags:
        - Agent
      summary: Get Agent
      description: Get a specific Agent by id.
      operationId: Agent.getAgent
      parameters:
        - name: id
          required: true
          in: path
          description: System-generated agent ID.
          schema:
            example: jqfwg345gi25n5ju2yz5iz6m
            type: string
      responses:
        '200':
          description: Agent retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAgentResponseDto'
        '401':
          description: Missing or invalid bearer token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
        '404':
          description: Agent with the given id does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - jwt: []
components:
  schemas:
    GetAgentResponseDto:
      type: object
      properties:
        data:
          description: Agent
          allOf:
            - $ref: '#/components/schemas/Agent'
      required:
        - data
      title: GetAgentResponseDto
      x-fern-type-name: GetAgentResponseDto
    HttpError:
      type: object
      properties:
        statusCode:
          type: integer
          description: HTTP Status Code
        message:
          type: string
          description: Error Message
        code:
          oneOf:
            - type: integer
            - type: string
          description: Error code
          nullable: true
        details:
          type: array
          description: Error details
          items:
            type: object
          nullable: true
      required:
        - statusCode
        - message
      title: HttpError
      x-fern-type-name: HttpError
    Agent:
      type: object
      properties:
        id:
          type: string
          description: System-generated agent ID.
          example: jqfwg345gi25n5ju2yz5iz6m
          nullable: true
        name:
          type: string
        fqn:
          type: string
          description: Human-readable Fully Qualified Name of the agent.
        tenantName:
          type: string
        accountId:
          type: string
          nullable: false
        latestVersion:
          type: number
        type:
          type: string
        latestVersionDetails:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/AgentVersion'
        createdBySubject:
          $ref: '#/components/schemas/Subject'
        createdBy:
          type: string
          nullable: true
      required:
        - name
        - fqn
        - tenantName
        - accountId
        - latestVersion
        - type
        - createdBySubject
      title: Agent
      x-fern-type-name: Agent
    AgentVersion:
      type: object
      properties:
        id:
          type: string
          description: System-generated agent version ID.
          example: jqfwg345gi25n5ju2yz5iz6m
          nullable: true
        agentId:
          type: string
        fqn:
          type: string
          description: Human-readable Fully Qualified Name of the agent version.
        manifest:
          oneOf:
            - $ref: '#/components/schemas/AgentManifest'
          description: Agent Manifest
        version:
          type: number
        metadata:
          type: object
          nullable: true
        createdBySubject:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/Subject'
      required:
        - agentId
        - fqn
        - manifest
        - version
      title: AgentVersion
      x-fern-type-name: AgentVersion
    Subject:
      type: object
      properties:
        subjectId:
          type: string
          description: Subject ID
        subjectType:
          description: Subject type
          allOf:
            - $ref: '#/components/schemas/SubjectType'
        subjectSlug:
          type: string
          description: Subject slug
          nullable: true
        subjectDisplayName:
          type: string
          description: Subject display name
          nullable: true
        subjectPatName:
          type: string
          description: Subject PAT name
          nullable: true
        subjectControllerName:
          type: string
          nullable: true
        subjectExternalIdentitySlug:
          type: string
          description: External identity slug (external_identity_id:sub:email)
          nullable: true
      required:
        - subjectId
        - subjectType
      title: Subject
      x-fern-type-name: Subject
    AgentManifest:
      type: object
      oneOf:
        - $ref: '#/components/schemas/TrueFoundryAgentManifest'
        - $ref: '#/components/schemas/RemoteAgent'
        - $ref: '#/components/schemas/LegacyAgentManifest'
      title: AgentManifest
      x-fern-type-name: AgentManifest
    SubjectType:
      type: string
      enum:
        - user
        - team
        - serviceaccount
        - virtualaccount
        - external-identity
        - agent-identity
        - role
      description: >-
        Type of the authenticated subject. "user" for human users,
        "serviceaccount" (also known as virtual account) for programmatic
        access.
      title: SubjectType
      x-fern-type-name: SubjectType
    TrueFoundryAgentManifest:
      type: object
      required:
        - type
        - name
        - description
        - model
        - collaborators
      properties:
        type:
          description: Type of the manifest
          type: string
          enum:
            - truefoundry-agent
        name:
          description: The name of the Agent
          type: string
          pattern: ^[a-z](?:[a-z0-9]|-(?!-)){1,30}[a-z0-9]$
        description:
          description: The description of the Agent
          type: string
          maxLength: 2000
        tags:
          description: Tags for the Agent
          type: object
        model:
          $ref: '#/components/schemas/TrueFoundryAgentModel'
        skills:
          description: List of agent skills to attach to this agent
          type: array
          items:
            $ref: '#/components/schemas/TrueFoundryAgentSkill'
        mcp_servers:
          description: >-
            List of MCP servers with tag-based tool
            enable/disable/preload/approval policy
          type: array
          items:
            $ref: '#/components/schemas/TrueFoundryAgentMcpServer'
        instructions:
          description: System instructions or prompt for the agent
          type: string
        messages:
          description: >-
            Pre-defined initial messages for the agent. Supports template
            variable replacement.
          type: array
          items:
            $ref: '#/components/schemas/TrueFoundryAgentUserMessage'
        variables:
          description: >-
            Variables keyed by name. Each has optional default_value and
            optional description.
          type: object
          additionalProperties:
            $ref: '#/components/schemas/TrueFoundryAgentVariable'
        sample_inputs:
          description: >-
            Sample inputs for your agent. These inputs are shown as an example
            in the "Agent Chat" page. (Click on Try Now in the agent listing
            page)
          type: array
          items:
            $ref: '#/components/schemas/SampleAgentInput'
        response_format:
          $ref: '#/components/schemas/TrueFoundryAgentResponseFormat'
        config:
          $ref: '#/components/schemas/TrueFoundryAgentConfig'
        collaborators:
          description: List of users who have access to this Agent
          type: array
          items:
            $ref: '#/components/schemas/Collaborator'
        ownedBy:
          $ref: '#/components/schemas/OwnedBy'
      title: TrueFoundryAgentManifest
      x-fern-type-name: TrueFoundryAgentManifest
    RemoteAgent:
      $ref: '#/components/schemas/SelfHostedAgent'
      title: RemoteAgent
      x-fern-type-name: RemoteAgent
    LegacyAgentManifest:
      type: object
      required:
        - type
        - name
        - description
        - source
        - collaborators
      properties:
        type:
          description: Type of the manifest
          type: string
          enum:
            - agent
        name:
          description: The name of the Agent
          type: string
          pattern: ^[a-z](?:[a-z0-9]|-(?!-)){1,30}[a-z0-9]$
        description:
          description: The description of the Agent
          type: string
          maxLength: 2000
        source:
          $ref: '#/components/schemas/AgentSource'
        collaborators:
          description: List of users who have access to this Agent
          type: array
          items:
            $ref: '#/components/schemas/Collaborator'
        sample_inputs:
          description: >-
            Sample inputs for your agent. These inputs are shown as an example
            in the "Agent Chat" page. (Click on Try Now in the agent listing
            page)
          type: array
          items:
            $ref: '#/components/schemas/SampleAgentInput'
        ownedBy:
          $ref: '#/components/schemas/OwnedBy'
      title: LegacyAgentManifest
      x-fern-type-name: LegacyAgentManifest
    TrueFoundryAgentModel:
      type: object
      required:
        - name
      properties:
        name:
          description: Model name, e.g. openai-main/gpt-4o
          type: string
          minLength: 1
        params:
          $ref: '#/components/schemas/TrueFoundryAgentModelParams'
      title: TrueFoundryAgentModel
      x-fern-type-name: TrueFoundryAgentModel
    TrueFoundryAgentSkill:
      type: object
      required:
        - fqn
        - preload
      properties:
        fqn:
          description: Fully qualified name of the agent skill
          type: string
          minLength: 1
          pattern: ^agent-skill:[^/]+/[^/]+/[^/:]+:[0-9]+$
        preload:
          description: If true, the SKILL.md content is injected into the agent context.
          type: boolean
          default: false
      title: TrueFoundryAgentSkill
      x-fern-type-name: TrueFoundryAgentSkill
    TrueFoundryAgentMcpServer:
      description: >-
        A tool selector is either a literal tool name or one of the special
        tags:

        @all, @read-only, @write, @destructive.
      type: object
      required:
        - name
      properties:
        name:
          description: MCP server name
          type: string
        preload:
          description: >-
            When true, this server's tools are preloaded into context. When
            false (default), tools are discovered lazily and only preload_tools
            stay eager.
          type: boolean
          default: false
        enable_tools:
          description: >-
            Tools to enable. Supports tags @all, @read-only, @write,
            @destructive or literal tool names.
          type: array
          items:
            type: string
          default:
            - '@all'
        disable_tools:
          description: Tools to disable (subtracted from enable_tools).
          type: array
          items:
            type: string
        preload_tools:
          description: When preload is false, tools to still preload into context.
          type: array
          items:
            type: string
        require_approval_for_tools:
          description: >-
            Tools that require human approval before execution. Supports tags
            and literal tool names.
          type: array
          items:
            type: string
          default:
            - '@write'
            - '@destructive'
      title: TrueFoundryAgentMcpServer
      x-fern-type-name: TrueFoundryAgentMcpServer
    TrueFoundryAgentUserMessage:
      type: object
      required:
        - role
        - content
      properties:
        role:
          description: Role of the message sender.
          type: string
          enum:
            - user
        content:
          description: >-
            Content of the user message. Supports template variables like
            {{variable_name}}.
          type: string
          minLength: 1
      title: TrueFoundryAgentUserMessage
      x-fern-type-name: TrueFoundryAgentUserMessage
    TrueFoundryAgentVariable:
      type: object
      properties:
        default_value:
          description: Default value for the variable
          type: string
        description:
          description: Description of the variable
          type: string
      title: TrueFoundryAgentVariable
      x-fern-type-name: TrueFoundryAgentVariable
    SampleAgentInput:
      type: object
      properties:
        text:
          description: Input for the agent
          type: string
        variables:
          description: Variable inputs for Prompt Variables defined in the Prompt
          type: object
          additionalProperties:
            type: string
      title: SampleAgentInput
      x-fern-type-name: SampleAgentInput
    TrueFoundryAgentResponseFormat:
      type: object
      oneOf:
        - $ref: '#/components/schemas/ResponseFormatText'
        - $ref: '#/components/schemas/ResponseFormatJSONSchema'
        - $ref: '#/components/schemas/ResponseFormatJSONObject'
      title: TrueFoundryAgentResponseFormat
      x-fern-type-name: TrueFoundryAgentResponseFormat
    TrueFoundryAgentConfig:
      type: object
      properties:
        iteration_limit:
          description: Maximum number of iterations for the agent
          type: integer
          minimum: 1
          maximum: 1024
          default: 100
        sandbox:
          $ref: '#/components/schemas/TrueFoundryAgentSandboxConfig'
        dynamic_sub_agents:
          $ref: '#/components/schemas/TrueFoundryAgentDynamicSubAgentsConfig'
        context_management:
          $ref: '#/components/schemas/TrueFoundryAgentContextManagementConfig'
        generative_ui:
          $ref: '#/components/schemas/TrueFoundryAgentGenerativeUIConfig'
        ask_user_questions:
          $ref: '#/components/schemas/TrueFoundryAgentAskUserQuestionsConfig'
      title: TrueFoundryAgentConfig
      x-fern-type-name: TrueFoundryAgentConfig
    Collaborator:
      type: object
      required:
        - subject
        - role_id
      properties:
        subject:
          description: 'Fully Qualified Name of the subject. eg: user:email or team:teamname'
          type: string
        role_id:
          description: Role ID for the resource
          type: string
      title: Collaborator
      x-fern-type-name: Collaborator
    OwnedBy:
      description: Names of the owners that own this resource
      type: object
      required:
        - account
      properties:
        account:
          description: The name of the account that owns this resource
          type: string
      title: OwnedBy
      x-fern-type-name: OwnedBy
    SelfHostedAgent:
      description: Self Hosted
      type: object
      properties:
        type:
          description: Type of the manifest
          type: string
          enum:
            - remote-agent/self-hosted
        url:
          description: The URL of the server
          type: string
          pattern: ^https?:\/\/[^\s]+$
        auth_data:
          $ref: '#/components/schemas/CustomAgentServerAuth'
        framework:
          $ref: '#/components/schemas/AgentFramework'
      allOf:
        - $ref: '#/components/schemas/BaseRemoteAgent'
      required:
        - type
        - url
        - framework
      title: SelfHostedAgent
      x-fern-type-name: SelfHostedAgent
    AgentSource:
      description: |-
        +discriminator=type
        +sort=300
      type: object
      oneOf:
        - $ref: '#/components/schemas/PromptSource'
        - $ref: '#/components/schemas/HostedA2AAgent'
      discriminator:
        propertyName: type
      title: AgentSource
      x-fern-type-name: AgentSource
    TrueFoundryAgentModelParams:
      type: object
      properties:
        max_tokens:
          description: Maximum number of tokens to generate.
          type: integer
          minimum: 0
        reasoning_effort:
          description: Reasoning depth when the model and provider support this parameter.
          type: string
        temperature:
          description: Sampling temperature (0–2). Higher values increase randomness.
          type: number
          minimum: 0
          maximum: 2
        top_p:
          description: Nucleus sampling threshold (0–1). Alternative to temperature.
          type: number
          minimum: 0
          maximum: 1
        top_k:
          description: Top-K sampling when supported by the provider.
          type: integer
          minimum: 0
        parallel_tool_calls:
          description: >-
            Allow the model to request multiple tool calls in parallel when
            supported.
          type: boolean
      title: TrueFoundryAgentModelParams
      x-fern-type-name: TrueFoundryAgentModelParams
    ResponseFormatText:
      type: object
      required:
        - type
      properties:
        type:
          type: string
          enum:
            - text
      title: ResponseFormatText
      x-fern-type-name: ResponseFormatText
    ResponseFormatJSONSchema:
      type: object
      required:
        - type
        - json_schema
      properties:
        type:
          type: string
          enum:
            - json_schema
        json_schema:
          type: object
          required:
            - name
          properties:
            name:
              type: string
            description:
              type: string
            schema:
              type: object
            strict:
              type: boolean
      title: ResponseFormatJSONSchema
      x-fern-type-name: ResponseFormatJSONSchema
    ResponseFormatJSONObject:
      type: object
      required:
        - type
      properties:
        type:
          type: string
          enum:
            - json_object
      title: ResponseFormatJSONObject
      x-fern-type-name: ResponseFormatJSONObject
    TrueFoundryAgentSandboxConfig:
      type: object
      required:
        - enabled
      properties:
        enabled:
          type: boolean
          default: true
        file_downloads:
          type: boolean
          default: true
      title: TrueFoundryAgentSandboxConfig
      x-fern-type-name: TrueFoundryAgentSandboxConfig
    TrueFoundryAgentDynamicSubAgentsConfig:
      type: object
      required:
        - enabled
      properties:
        enabled:
          type: boolean
          default: true
      title: TrueFoundryAgentDynamicSubAgentsConfig
      x-fern-type-name: TrueFoundryAgentDynamicSubAgentsConfig
    TrueFoundryAgentContextManagementConfig:
      type: object
      properties:
        compaction:
          $ref: '#/components/schemas/TrueFoundryAgentCompactionConfig'
        large_tool_response:
          $ref: '#/components/schemas/TrueFoundryAgentLargeToolResponseConfig'
      title: TrueFoundryAgentContextManagementConfig
      x-fern-type-name: TrueFoundryAgentContextManagementConfig
    TrueFoundryAgentGenerativeUIConfig:
      type: object
      required:
        - enabled
      properties:
        enabled:
          type: boolean
          default: true
      title: TrueFoundryAgentGenerativeUIConfig
      x-fern-type-name: TrueFoundryAgentGenerativeUIConfig
    TrueFoundryAgentAskUserQuestionsConfig:
      type: object
      required:
        - enabled
      properties:
        enabled:
          type: boolean
          default: true
      title: TrueFoundryAgentAskUserQuestionsConfig
      x-fern-type-name: TrueFoundryAgentAskUserQuestionsConfig
    CustomAgentServerAuth:
      type: object
      oneOf:
        - $ref: '#/components/schemas/CustomServerHeaderAuth'
        - $ref: '#/components/schemas/CustomServerPassthrough'
      title: CustomAgentServerAuth
      x-fern-type-name: CustomAgentServerAuth
    AgentFramework:
      description: +discriminator=type
      type: object
      oneOf:
        - $ref: '#/components/schemas/A2AFramework'
        - $ref: '#/components/schemas/CustomFramework'
      discriminator:
        propertyName: type
      title: AgentFramework
      x-fern-type-name: AgentFramework
    BaseRemoteAgent:
      type: object
      required:
        - name
        - description
        - collaborators
      properties:
        name:
          description: The name of the Agent
          type: string
          pattern: ^[a-z](?:[a-z0-9]|-(?!-)){1,30}[a-z0-9]$
        description:
          description: The description of the Agent
          type: string
          maxLength: 2000
        tags:
          description: Tags for the Agent
          type: object
        collaborators:
          description: List of users who have access to this Agent
          type: array
          items:
            $ref: '#/components/schemas/Collaborator'
        ownedBy:
          $ref: '#/components/schemas/OwnedBy'
      title: BaseRemoteAgent
      x-fern-type-name: BaseRemoteAgent
    PromptSource:
      description: Prompt
      type: object
      required:
        - type
        - prompt_version_fqn
      properties:
        type:
          description: Type of agent source
          type: string
          enum:
            - prompt
        prompt_version_fqn:
          description: >-
            Fully qualified name of the prompt version to use as the agent
            source
          type: string
        skills:
          description: List of skills associated with the agent
          type: array
          items:
            $ref: '#/components/schemas/A2AAgentSkill'
      title: PromptSource
      x-fern-type-name: PromptSource
    HostedA2AAgent:
      description: Hosted A2A Agent
      type: object
      required:
        - type
        - agent_card_url
      properties:
        type:
          description: Type of agent source
          type: string
          enum:
            - hosted-a2a-agent
        agent_card_url:
          description: Agent Card URL for the A2A Agent
          type: string
        headers:
          description: >-
            Headers to be sent with the request to the hosted A2A agent.
            Primarily used for authentication.
          type: object
          additionalProperties:
            type: string
      title: HostedA2AAgent
      x-fern-type-name: HostedA2AAgent
    TrueFoundryAgentCompactionConfig:
      type: object
      required:
        - enabled
      properties:
        enabled:
          type: boolean
          default: true
        compaction_threshold_tokens:
          type: integer
          default: 50000
      title: TrueFoundryAgentCompactionConfig
      x-fern-type-name: TrueFoundryAgentCompactionConfig
    TrueFoundryAgentLargeToolResponseConfig:
      type: object
      required:
        - enabled
      properties:
        enabled:
          type: boolean
          default: true
      title: TrueFoundryAgentLargeToolResponseConfig
      x-fern-type-name: TrueFoundryAgentLargeToolResponseConfig
    CustomServerHeaderAuth:
      description: Static API key or token authentication via request headers.
      type: object
      required:
        - type
        - headers
      properties:
        type:
          description: +value=header
          type: string
          enum:
            - header
        headers:
          type: object
          additionalProperties:
            type: string
      title: CustomServerHeaderAuth
      x-fern-type-name: CustomServerHeaderAuth
    CustomServerPassthrough:
      description: >-
        Authenticate using your existing TrueFoundry account (PAT or Virtual
        Accounts). Your credentials are automatically passed to the server.
      type: object
      required:
        - type
      properties:
        type:
          description: +value=passthrough
          type: string
          enum:
            - passthrough
      title: CustomServerPassthrough
      x-fern-type-name: CustomServerPassthrough
    A2AFramework:
      description: A2A
      type: object
      required:
        - type
        - agent_card_path
      properties:
        type:
          description: Type
          type: string
          enum:
            - a2a
        agent_card_path:
          description: Path to the agent card JSON, relative to the base URL
          type: string
          default: /.well-known/agent-card.json
      title: A2AFramework
      x-fern-type-name: A2AFramework
    CustomFramework:
      description: Custom
      type: object
      required:
        - type
      properties:
        type:
          description: Type
          type: string
          enum:
            - custom
      title: CustomFramework
      x-fern-type-name: CustomFramework
    A2AAgentSkill:
      type: object
      required:
        - id
        - name
        - description
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        tags:
          type: array
          items:
            type: string
        examples:
          type: array
          items:
            type: string
        inputModes:
          type: array
          items:
            type: string
        outputModes:
          type: array
          items:
            type: string
      title: A2AAgentSkill
      x-fern-type-name: A2AAgentSkill
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````